Komodo Transparent window on macOS 13.0 Ventura

I have been using Komodo Edit with this workaround through multiple versions of OSX, but have just installed Ventura this morning and it is no longer working!

I get a completely transparent window when opening Komodo and nothing else. No menu options are available.

Is this happening for anybody else? Are there any other workarounds I can try?

Sorry should have mentioned it is a MacBook Pro with Apple M1 Pro chip.

I have the same problem since Ventura on Mac Studio and iMac 24".

On both Macs Komodo IDE was still running with the workaround on Monterey.

1 Like

I’m having the same issue, completely transparent windows.
Can’t restart in “Safe Mode” because the dialogue box to confirm is transparent.
I really miss KomodoEdit …

Hey all, I unfortunately don’t have a Mac to try any fixes so the most I think I can do is suggest ideas to try and work around this.

To “Start in Safe Mode”:

Also note that Komodo Edit will have the same issue. Komodo Edit and Komodo IDE are both based off of Mozilla version 32 (very old). You can install Komodo Edit from here to try though someone above mentioned they are using Komodo Edit already: OpenKomodoIDE/installers at master · ActiveState/OpenKomodoIDE (github.com)

Also, apparently you can disable transparency in OSX in the accessibility settings. I’d be curious if disabling that does anything.

  • Carey

No luck on any of those options.
Renaming folder, downloading from the GIT or reducing transparency.
For now, I’m running the Windows version under Parellels - which works but it would be so great to have the OSX native version back.

Hey all, for posterity, I’m linking a thread I posted last friday announcing that ActiveState has retired Komodo and open sourced it’s code: Komodo IDE Retired and Open Sourced - Announcements - Komodo IDE & Edit | Forums

There won’t be a fix coming from ActiveState (some have probably guessed that that was the case by now) but I’ll do my best to help people try and find a workaround, without a Mac (I work on a Windows machine) though I won’t be able to try anything so it will be up to people with Macs to try options.

Sorry to share bad news with you on a Monday!

  • Carey

Can any one grab their logs and share then here after reproducing this?

You can find them in your profile folder: Komodo 11 Documentation (activestate.com), the pystderr.log file.

Sorry I’ve rolled back to Monterey for the moment so can’t help with the logs.

Understandable @conorg

Here is the pystderr.log file, Please help

[2022-12-22 19:26:51,683] [INFO] Startup: Welcome to Komodo Edit 12.0.1 build 18441 (platform macosx, running on Darwin 22.2.0 version Darwin Kernel Version 22.2.0: Fri Nov 11 02:08:47 PST 2022; root:xnu-8792.61.2~4/RELEASE_X86_64)
[2022-12-22 19:26:51,684] [INFO] Startup: /Applications/Komodo Edit 12.app/Contents/MacOS/komodo built on Tue Feb 11 02:14:21 2020
[2022-12-22 19:26:51,814] [WARNING] koInitService: Couldn’t upgrade prefs at step ‘70’: 2147549183 (NS_ERROR_UNEXPECTED)
[2022-12-22 19:26:51,815] [INFO] koInitService: installing Komodo samples to ‘/tmp/ko/12.0/samples’
[2022-12-22 19:26:52,208] [ERROR] koInitService: Unable to set encoding for locale None
[2022-12-22 19:26:52,208] [WARNING] koInitService: Unable to determine the current locale settings, defaulting to mac-roman
[2022-12-22 19:26:52,769] [WARNING] koLess: Clearing local and file cache
[2022-12-22 19:26:52,997] [WARNING] console-logger: mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create the object with the correct initial [[Prototype]] value using Object.create (1) in resource://gre/modules/Preferences.jsm:381
[2022-12-22 19:26:54,288] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2022-12-22 19:26:54,520] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2022-12-22 19:26:54,569] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2022-12-22 19:26:55,409] [WARNING] console-logger: mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create the object with the correct initial [[Prototype]] value using Object.create (1) in file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/components/koamAddonManager.js:138
[2022-12-22 19:32:43,066] [ERROR] console-logger: TypeError: this.cancel is not a function (2) in chrome://komodo/content/bindings/wizard.xml:150
Traceback (most recent call last):
File “chrome://komodo/content/bindings/wizard.xml”, line 150, in

[2022-12-22 19:32:43,068] [ERROR] console-logger: TypeError: this.cancel is not a function (2) in chrome://komodo/content/bindings/wizard.xml:150
Traceback (most recent call last):
File “chrome://komodo/content/bindings/wizard.xml”, line 150, in

[2022-12-22 19:34:06,027] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2022-12-22 19:34:06,165] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2022-12-22 19:34:06,210] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2022-12-22 19:35:10,340] [ERROR] console-logger: not well-formed (0) in https://www.activestate.com/products/komodo-ide/:7
Traceback (most recent call last):
File “https://www.activestate.com/products/komodo-ide/”, line 7, in

[2022-12-22 19:46:18,178] [ERROR] console-logger: TypeError: this.cancel is not a function (2) in chrome://komodo/content/bindings/wizard.xml:150
Traceback (most recent call last):
File “chrome://komodo/content/bindings/wizard.xml”, line 150, in

[2022-12-22 19:46:18,180] [ERROR] console-logger: TypeError: this.cancel is not a function (2) in chrome://komodo/content/bindings/wizard.xml:150
Traceback (most recent call last):
File “chrome://komodo/content/bindings/wizard.xml”, line 150, in

[2022-12-22 19:46:55,595] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2022-12-22 19:46:55,741] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2022-12-22 19:46:55,784] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window

Hello! I got the same problem when I updated to version MacOS 13.1 Ventura (iMac with Intel Processor). Has anyone managed to solve this problem? I hope for your help! Thank you.

@Userman,

Please grab your logs as well. More log output could be helpful. I’ve looked at Harish’s logs and though there seems to be A LOT wrong in there, nothing stands out to me as being a root cause or indicating a route to digging deeper.

It would be interesting to see if your logs, Userman, are the same as Harish.

@harish_s, I don’t think this will help to get Komodo working but I’d be interesting in you reseting your profile and resending your logs. You can do that by stopping Komodo, renaming the folder your found your logs in and then starting Komodo and grabbing your logs.

  • Carey
[2023-01-13 17:41:20,180] [INFO] Startup: Welcome to Komodo Edit 12.0.1 build 18441 (platform macosx, running on Darwin 22.2.0 version Darwin Kernel Version 22.2.0: Fri Nov 11 02:08:47 PST 2022; root:xnu-8792.61.2~4/RELEASE_X86_64)
[2023-01-13 17:41:20,180] [INFO] Startup: /Applications/Komodo Edit 12.app/Contents/MacOS/komodo built on Tue Feb 11 02:14:21 2020
[2023-01-13 17:41:20,320] [WARNING] koInitService: Unable to determine the current locale settings, defaulting to mac-roman
[2023-01-13 17:41:20,520] [WARNING] console-logger: mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create the object with the correct initial [[Prototype]] value using Object.create (1) in resource://gre/modules/Preferences.jsm:381
[2023-01-13 17:41:20,726] [WARNING] root: [object Object].logging has been converted to a CommonJS module; use require("ko/logging") instead (since Komodo 9.0.0a1).
    @chrome://komodo/content/komodo.js:48:1

[2023-01-13 17:41:21,030] [ERROR] console-logger: bad script XDR magic number (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-13 17:41:21,123] [WARNING] keybindings: [Shift+Down] was used for 'cmd_selectLineNext', overriding to use 'cmd_selectLineNext'
[2023-01-13 17:41:21,363] [WARNING] ko.widgets: Pref path doesn't exist: windowWorkspace, 1
[2023-01-13 17:41:21,538] [INFO] koInitService: Adding pre startup service for 'koFileStatusService': '@activestate.com/koFileStatusService;1'
[2023-01-13 17:41:21,593] [INFO] elastic_tabstops: Elastic tabstops loaded.
[2023-01-13 17:41:21,912] [ERROR] console-logger: Exception while registering Focus Mode (0) in resource://gre/modules/addons/XPIProvider.jsm -> file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/extensions/focusmode@activestate.com/bootstrap.js:11
Traceback (most recent call last):
  File "resource://gre/modules/addons/XPIProvider.jsm -> file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/extensions/focusmode@activestate.com/bootstrap.js", line 11, in 

[2023-01-13 17:41:21,913] [ERROR] console-logger: [object Object] (0) in resource://gre/modules/addons/XPIProvider.jsm -> file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/extensions/focusmode@activestate.com/bootstrap.js:12
Traceback (most recent call last):
  File "resource://gre/modules/addons/XPIProvider.jsm -> file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/extensions/focusmode@activestate.com/bootstrap.js", line 12, in 

[2023-01-13 17:41:22,559] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-13 17:41:22,559] [ERROR] commando-scope-packages: Unable to retrieve package listing for addons
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-13 17:41:22,580] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-13 17:41:22,581] [ERROR] commando-scope-packages: Unable to retrieve package listing for toolbox
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-13 17:41:22,636] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-13 17:41:22,636] [ERROR] commando-scope-packages: Unable to retrieve package listing for macros
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-13 17:41:22,679] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-13 17:41:22,679] [ERROR] commando-scope-packages: Unable to retrieve package listing for keybinds
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-13 17:41:22,680] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-13 17:41:22,680] [ERROR] commando-scope-packages: Unable to retrieve package listing for schemes
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-13 17:41:22,681] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-13 17:41:22,681] [ERROR] commando-scope-packages: Unable to retrieve package listing for skins
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-13 17:41:22,682] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-13 17:41:22,682] [ERROR] commando-scope-packages: Unable to retrieve package listing for languages
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-13 17:41:22,714] [WARNING] console-logger: mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create the object with the correct initial [[Prototype]] value using Object.create (1) in file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/components/koamAddonManager.js:138
[2023-01-13 17:41:22,906] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-13 17:41:23,139] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-13 17:41:24,140] [INFO] koInitService: Adding pre startup service for 'KoMemoryReporter': '@activestate.com/koMemoryReporter;1'
[2023-01-13 17:41:24,147] [INFO] koInitService: Adding pre startup service for 'koCommandmentService': '@activestate.com/koCommandmentService;1'
[2023-01-13 17:42:44,608] [WARNING] views: Inconsistent view count in view_closed event

I’m not seeing any consistencies in the logs.

FYI, this is an unrelated and known issue that you can fix but not until you actually have UI: Komodo can’t validate valid SSL certs any more · Issue #3945 · Komodo/KomodoEdit (github.com)

I have the same issue using Komodo Edit 12. It was working fine until I moved to Ventura 13.2.

/Users/jta/Library/Application Support/KomodoEdit/12.0/pystderr.log:

[2023-01-24 11:33:09,725] [INFO] Startup: Welcome to Komodo Edit 12.0.1 build 18441 (platform macosx, running on Darwin 22.3.0 version Darwin Kernel Version 22.3.0: Thu Jan  5 20:48:54 PST 2023; root:xnu-8792.81.2~2/RELEASE_ARM64_T6000)
[2023-01-24 11:33:09,726] [INFO] Startup: /Applications/Komodo Edit 12.app/Contents/MacOS/komodo built on Tue Feb 11 02:14:21 2020
[2023-01-24 11:33:09,949] [WARNING] koInitService: Unable to determine the current locale settings, defaulting to mac-roman
[2023-01-24 11:33:10,244] [WARNING] console-logger: mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create the object with the correct initial [[Prototype]] value using Object.create (1) in resource://gre/modules/Preferences.jsm:381
[2023-01-24 11:33:10,601] [WARNING] root: [object Object].logging has been converted to a CommonJS module; use require("ko/logging") instead (since Komodo 9.0.0a1).
    @chrome://komodo/content/komodo.js:48:1

[2023-01-24 11:33:10,955] [ERROR] console-logger: bad script XDR magic number (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:11,984] [WARNING] ko.widgets: Pref path doesn't exist: windowWorkspace, 1
[2023-01-24 11:33:12,156] [INFO] koInitService: Adding pre startup service for 'koFileStatusService': '@activestate.com/koFileStatusService;1'
[2023-01-24 11:33:12,248] [INFO] elastic_tabstops: Elastic tabstops loaded.
[2023-01-24 11:33:12,325] [ERROR] CT::margin.js: couldn't get the insert-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:59:32
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,325] [ERROR] CT::margin.js: couldn't get the delete-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:65:32
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,326] [ERROR] CT::margin.js: couldn't get the change-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:71:33
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,329] [ERROR] CT::margin.js: couldn't get the insert-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:59:32
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,330] [ERROR] CT::margin.js: couldn't get the delete-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:65:32
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,330] [ERROR] CT::margin.js: couldn't get the change-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:71:33
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,331] [ERROR] CT::margin.js: couldn't get the insert-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:59:32
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,331] [ERROR] CT::margin.js: couldn't get the delete-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:65:32
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,331] [ERROR] CT::margin.js: couldn't get the change-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:71:33
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,332] [ERROR] CT::margin.js: couldn't get the insert-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:59:32
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,334] [ERROR] CT::margin.js: couldn't get the delete-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:65:32
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,335] [ERROR] CT::margin.js: couldn't get the change-color
-- EXCEPTION START --
TypeError: this.view.scheme.getInterfaceStyleRaw is not a function
+ stack
    exports.MarginController.prototype._initMarkerStyles@chrome://trackchanges/content/margin.js:71:33
    refreshMarginProperies@chrome://trackchanges/content/margin.js:120:9
    MarginController@chrome://trackchanges/content/margin.js:44:5
    exports.ChangeTracker.prototype.changeTrackingOn@chrome://trackchanges/content/tracker.js:63:19
    ChangeTracker@chrome://trackchanges/content/tracker.js:27:5
    this.onViewOpenedHandler@chrome://trackchanges/content/trackchanges.js:88:26
    this.init/<@chrome://trackchanges/content/trackchanges.js:49:13
    this.init@chrome://trackchanges/content/trackchanges.js:46:1
    xtk.domutils.fireEvent@chrome://xtk/content/domutils.js:187:5
    onloadDelay/<@chrome://komodo/content/komodo.js:467:9
-- EXCEPTION END --
[2023-01-24 11:33:12,380] [ERROR] console-logger: bad script XDR magic number (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:12,476] [ERROR] console-logger: TypeError: this.manager is undefined (2) in chrome://komodo/content/toolbox/toolbox2.js:604
Traceback (most recent call last):
  File "chrome://komodo/content/toolbox/toolbox2.js", line 604, in 

[2023-01-24 11:33:12,476] [ERROR] console-logger: TypeError: this.manager is undefined (2) in chrome://komodo/content/toolbox/toolbox2.js:604
Traceback (most recent call last):
  File "chrome://komodo/content/toolbox/toolbox2.js", line 604, in 

[2023-01-24 11:33:12,477] [ERROR] console-logger: TypeError: this.manager is undefined (2) in chrome://komodo/content/toolbox/toolbox2.js:604
Traceback (most recent call last):
  File "chrome://komodo/content/toolbox/toolbox2.js", line 604, in 

[2023-01-24 11:33:12,477] [ERROR] console-logger: TypeError: this.manager is undefined (2) in chrome://komodo/content/toolbox/toolbox2.js:604
Traceback (most recent call last):
  File "chrome://komodo/content/toolbox/toolbox2.js", line 604, in 

[2023-01-24 11:33:13,072] [ERROR] console-logger: Exception while registering Focus Mode (0) in resource://gre/modules/addons/XPIProvider.jsm -> file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/extensions/focusmode@activestate.com/bootstrap.js:11
Traceback (most recent call last):
  File "resource://gre/modules/addons/XPIProvider.jsm -> file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/extensions/focusmode@activestate.com/bootstrap.js", line 11, in 

[2023-01-24 11:33:13,073] [ERROR] console-logger: [object Object] (0) in resource://gre/modules/addons/XPIProvider.jsm -> file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/extensions/focusmode@activestate.com/bootstrap.js:12
Traceback (most recent call last):
  File "resource://gre/modules/addons/XPIProvider.jsm -> file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/extensions/focusmode@activestate.com/bootstrap.js", line 12, in 

[2023-01-24 11:33:13,240] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:13,399] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:13,400] [ERROR] commando-scope-packages: Unable to retrieve package listing for toolbox
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-24 11:33:13,436] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:13,437] [ERROR] commando-scope-packages: Unable to retrieve package listing for addons
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-24 11:33:13,439] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:13,439] [ERROR] commando-scope-packages: Unable to retrieve package listing for macros
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-24 11:33:13,440] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:13,440] [ERROR] commando-scope-packages: Unable to retrieve package listing for languages
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-24 11:33:13,440] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:13,441] [ERROR] commando-scope-packages: Unable to retrieve package listing for schemes
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-24 11:33:13,441] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:13,441] [ERROR] commando-scope-packages: Unable to retrieve package listing for skins
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-24 11:33:13,591] [WARNING] console-logger: mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create the object with the correct initial [[Prototype]] value using Object.create (1) in file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/components/koamAddonManager.js:138
[2023-01-24 11:33:13,669] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:13,669] [ERROR] commando-scope-packages: Unable to retrieve package listing for keybinds
Traceback from ERROR in 'commando-scope-packages' logger:
    Logger.prototype.error@chrome://komodo/content/sdk/logging.js:411:27
    this._getAvailablePackagesByKind/<@chrome://scope-packages/content/packages.js:440:17
    this.request/req.onreadystatechange@chrome://komodo/content/sdk/ajax.js:75:17

[2023-01-24 11:33:13,670] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:13,907] [ERROR] console-logger: community.komodoide.com:443 uses an invalid security certificate.

The certificate is not trusted because the issuer certificate has expired.

(Error code: sec_error_expired_issuer_certificate)
 (0) in :0
Traceback (most recent call last):
  File "", line 0, in 

[2023-01-24 11:33:14,879] [INFO] koInitService: Adding pre startup service for 'KoMemoryReporter': '@activestate.com/koMemoryReporter;1'
[2023-01-24 11:33:14,883] [INFO] koInitService: Adding pre startup service for 'koCommandmentService': '@activestate.com/koCommandmentService;1'
[2023-01-24 11:33:52,687] [WARNING] prefs: The '1' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,689] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,690] [WARNING] prefs: The 'hasFocus' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,690] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,691] [WARNING] prefs: The 'opened_projects_v7' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,692] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,701] [WARNING] prefs: The 'topview' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,702] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,702] [WARNING] prefs: The 'windowNum' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,703] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,704] [WARNING] prefs: The 'restoreOnRestart' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,705] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,706] [WARNING] prefs: The 'timestamp' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,706] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,707] [WARNING] prefs: The 'history_rctabs' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,707] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,708] [WARNING] prefs: The 'rctabs_list' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,708] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,788] [WARNING] prefs: The 'komodo_normal_shutdown' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,789] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,802] [WARNING] views: Inconsistent view count in view_closed event
[2023-01-24 11:33:52,803] [WARNING] prefs: The 'history_prevPlaces' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,803] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,804] [WARNING] prefs: The 'history_forwardPlaces' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,804] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,806] [WARNING] prefs: The 'places-open-nodes-v2' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,806] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,809] [WARNING] prefs: The 'open-nodes' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,809] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,814] [WARNING] prefs: The 'ui.tabs.sidepanes.state' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.
[2023-01-24 11:33:52,814] [WARNING] prefs: The '__all__' preference has changed while the pref window was open. If you get this message, a pref panel is incorrectly modifying prefs and the modified value will be lost.

Looks like useful information in the error message and exception text at 2023-01-24 11:33:12,325…

I also encounter the same issue on my new Macbook Pro with M1 Max chip and macOS 13.0 Ventura. The following lines are the full logs in the pystderr.log files.

[2023-01-24 23:26:45,194] [INFO] Startup: Welcome to Komodo Edit 12.0.1 build 18441 (platform macosx, running on Darwin 22.3.0 version Darwin Kernel Version 22.3.0: Thu Jan 5 20:48:54 PST 2023; root:xnu-8792.81.2~2/RELEASE_ARM64_T6000)
[2023-01-24 23:26:45,194] [INFO] Startup: /Applications/Komodo Edit 12.app/Contents/MacOS/komodo built on Tue Feb 11 02:14:21 2020
[2023-01-24 23:26:45,265] [WARNING] koInitService: Unable to determine the current locale settings, defaulting to mac-roman
[2023-01-24 23:26:45,434] [WARNING] console-logger: mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create the object with the correct initial [[Prototype]] value using Object.create (1) in resource://gre/modules/Preferences.jsm:381
[2023-01-24 23:26:45,753] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2023-01-24 23:26:45,793] [ERROR] console-logger: bad script XDR magic number (0) in :0
Traceback (most recent call last):
File “”, line 0, in

[2023-01-24 23:26:45,905] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2023-01-24 23:26:45,931] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2023-01-24 23:26:46,554] [WARNING] console-logger: mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create the object with the correct initial [[Prototype]] value using Object.create (1) in file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/components/koamAddonManager.js:138
[2023-01-24 23:35:05,918] [ERROR] console-logger: TypeError: this.cancel is not a function (2) in chrome://komodo/content/bindings/wizard.xml:150
Traceback (most recent call last):
File “chrome://komodo/content/bindings/wizard.xml”, line 150, in

[2023-01-24 23:35:05,925] [ERROR] console-logger: TypeError: this.cancel is not a function (2) in chrome://komodo/content/bindings/wizard.xml:150
Traceback (most recent call last):
File “chrome://komodo/content/bindings/wizard.xml”, line 150, in

[2023-01-24 23:35:05,926] [ERROR] console-logger: TypeError: wm.getMostRecentWindow(…) is null (2) in chrome://komodo/content/bindings/windows.xml:512
Traceback (most recent call last):
File “chrome://komodo/content/bindings/windows.xml”, line 512, in

[2023-01-24 23:42:09,096] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2023-01-24 23:42:09,195] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2023-01-24 23:42:09,220] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2023-01-24 23:42:14,218] [ERROR] console-logger: TypeError: this.cancel is not a function (2) in chrome://komodo/content/bindings/wizar
d.xml:150
Traceback (most recent call last):
File “chrome://komodo/content/bindings/wizard.xml”, line 150, in

[2023-01-24 23:42:14,221] [ERROR] console-logger: TypeError: this.cancel is not a function (2) in chrome://komodo/content/bindings/wizar
d.xml:150
Traceback (most recent call last):
File “chrome://komodo/content/bindings/wizard.xml”, line 150, in

[2023-01-24 23:42:14,221] [ERROR] console-logger: TypeError: wm.getMostRecentWindow(…) is null (2) in chrome://komodo/content/bindings
/windows.xml:512
Traceback (most recent call last):
File “chrome://komodo/content/bindings/windows.xml”, line 512, in

This returned other logs as follows:
[2023-01-24 23:58:42,963] [INFO] Startup: Welcome to Komodo Edit 12.0.1 build 18441 (platform macosx, running on Darwin 22.3.0 version Darwin Kernel Version 22.3.0: Thu Jan 5 20:48:54 PST 2023; root:xnu-8792.81.2~2/RELEASE_ARM64_T6000)
[2023-01-24 23:58:42,963] [INFO] Startup: /Applications/Komodo Edit 12.app/Contents/MacOS/komodo built on Tue Feb 11 02:14:21 2020
[2023-01-24 23:58:43,033] [WARNING] koInitService: Unable to determine the current locale settings, defaulting to mac-roman
[2023-01-24 23:58:43,198] [WARNING] console-logger: mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create the object with the correct initial [[Prototype]] value using Object.create (1) in resource://gre/modules/Preferences.jsm:381
[2023-01-24 23:58:43,515] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2023-01-24 23:58:43,555] [ERROR] console-logger: bad script XDR magic number (0) in :0
Traceback (most recent call last):
File “”, line 0, in

[2023-01-24 23:58:43,674] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2023-01-24 23:58:43,702] [ERROR] koProjectService: project_window_data:: getMostRecentWindow did not return a window
[2023-01-24 23:58:44,333] [WARNING] console-logger: mutating the [[Prototype]] of an object will cause your code to run very slowly; instead create the object with the correct initial [[Prototype]] value using Object.create (1) in file:///Applications/Komodo%20Edit%2012.app/Contents/Resources/components/koamAddonManager.js:138

Hey all,

I’m not going to have enought time to look into this issue but for those of you that missed it ActiveState open sourced the Komodo codebase but also no longer supports it (but also doesn’t support it) so if you’re feeling up to it you can look through the code here to see if anything jumps out at you as the.

I’m starting to see a pattern in the logs around nsIWindowMediator and functions failing when calling into that Mozilla code, eg. OpenKomodoIDE/koProjectService.py at master · ActiveState/OpenKomodoIDE (github.com)